<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.4) on Wed Nov 20 09:59:45 CET 2019 -->
<title>nl.naturalis.oaipmh.api Class Hierarchy</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-11-20">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="nl.naturalis.oaipmh.api Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For Package nl.naturalis.oaipmh.api</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<section role="region">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">Object</span></a>
<ul>
<li class="circle">nl.naturalis.oaipmh.api.<a href="AbstractOaiRepository.html" title="class in nl.naturalis.oaipmh.api"><span class="typeNameLink">AbstractOaiRepository</span></a> (implements nl.naturalis.oaipmh.api.<a href="OaiRepository.html" title="interface in nl.naturalis.oaipmh.api">OaiRepository</a>)</li>
<li class="circle">nl.naturalis.oaipmh.api.<a href="ArgumentValidator.html" title="class in nl.naturalis.oaipmh.api"><span class="typeNameLink">ArgumentValidator</span></a>
<ul>
<li class="circle">nl.naturalis.oaipmh.api.<a href="ListRecordsArgumentChecker.html" title="class in nl.naturalis.oaipmh.api"><span class="typeNameLink">ListRecordsArgumentChecker</span></a></li>
</ul>
</li>
<li class="circle">nl.naturalis.oaipmh.api.<a href="ArgumentValidatorFactory.html" title="class in nl.naturalis.oaipmh.api"><span class="typeNameLink">ArgumentValidatorFactory</span></a></li>
<li class="circle">nl.naturalis.oaipmh.api.<a href="DbRepositoryConfig.DatabaseConfig.html" title="class in nl.naturalis.oaipmh.api"><span class="typeNameLink">DbRepositoryConfig.DatabaseConfig</span></a></li>
<li class="circle">org.openarchives.oai._2.<a href="../../../../org/openarchives/oai/_2/OAIPMHerrorType.html" title="class in org.openarchives.oai._2"><span class="typeNameLink">OAIPMHerrorType</span></a>
<ul>
<li class="circle">nl.naturalis.oaipmh.api.<a href="BadArgumentError.html" title="class in nl.naturalis.oaipmh.api"><span class="typeNameLink">BadArgumentError</span></a></li>
<li class="circle">nl.naturalis.oaipmh.api.<a href="BadResumptionTokenError.html" title="class in nl.naturalis.oaipmh.api"><span class="typeNameLink">BadResumptionTokenError</span></a></li>
<li class="circle">nl.naturalis.oaipmh.api.<a href="BadVerbError.html" title="class in nl.naturalis.oaipmh.api"><span class="typeNameLink">BadVerbError</span></a></li>
<li class="circle">nl.naturalis.oaipmh.api.<a href="CannotDisseminateFormatError.html" title="class in nl.naturalis.oaipmh.api"><span class="typeNameLink">CannotDisseminateFormatError</span></a></li>
<li class="circle">nl.naturalis.oaipmh.api.<a href="IdDoesNotExistError.html" title="class in nl.naturalis.oaipmh.api"><span class="typeNameLink">IdDoesNotExistError</span></a></li>
<li class="circle">nl.naturalis.oaipmh.api.<a href="NoRecordsMatchError.html" title="class in nl.naturalis.oaipmh.api"><span class="typeNameLink">NoRecordsMatchError</span></a></li>
<li class="circle">nl.naturalis.oaipmh.api.<a href="NoSetHierarchyError.html" title="class in nl.naturalis.oaipmh.api"><span class="typeNameLink">NoSetHierarchyError</span></a></li>
</ul>
</li>
<li class="circle">nl.naturalis.oaipmh.api.<a href="OaiRequest.html" title="class in nl.naturalis.oaipmh.api"><span class="typeNameLink">OaiRequest</span></a></li>
<li class="circle">nl.naturalis.oaipmh.api.<a href="RepositoryConfig.html" title="class in nl.naturalis.oaipmh.api"><span class="typeNameLink">RepositoryConfig</span></a>
<ul>
<li class="circle">nl.naturalis.oaipmh.api.<a href="DbRepositoryConfig.html" title="class in nl.naturalis.oaipmh.api"><span class="typeNameLink">DbRepositoryConfig</span></a></li>
</ul>
</li>
<li class="circle">nl.naturalis.oaipmh.api.<a href="ResumptionToken.html" title="class in nl.naturalis.oaipmh.api"><span class="typeNameLink">ResumptionToken</span></a> (implements nl.naturalis.oaipmh.api.<a href="ResumptionTokenGenerator.html" title="interface in nl.naturalis.oaipmh.api">ResumptionTokenGenerator</a>, nl.naturalis.oaipmh.api.<a href="ResumptionTokenParser.html" title="interface in nl.naturalis.oaipmh.api">ResumptionTokenParser</a>)</li>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">Throwable</span></a> (implements java.io.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/Serializable.html?is-external=true" title="class or interface in java.io" class="externalLink">Serializable</a>)
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Exception.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">Exception</span></a>
<ul>
<li class="circle">nl.naturalis.oaipmh.api.<a href="OaiException.html" title="class in nl.naturalis.oaipmh.api"><span class="typeNameLink">OaiException</span></a>
<ul>
<li class="circle">nl.naturalis.oaipmh.api.<a href="BadResumptionTokenException.html" title="class in nl.naturalis.oaipmh.api"><span class="typeNameLink">BadResumptionTokenException</span></a></li>
</ul>
</li>
<li class="circle">nl.naturalis.oaipmh.api.<a href="RepositoryException.html" title="class in nl.naturalis.oaipmh.api"><span class="typeNameLink">RepositoryException</span></a>
<ul>
<li class="circle">nl.naturalis.oaipmh.api.<a href="RepositoryInitializationException.html" title="class in nl.naturalis.oaipmh.api"><span class="typeNameLink">RepositoryInitializationException</span></a></li>
<li class="circle">nl.naturalis.oaipmh.api.<a href="XsdNotFoundException.html" title="class in nl.naturalis.oaipmh.api"><span class="typeNameLink">XsdNotFoundException</span></a></li>
</ul>
</li>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/RuntimeException.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">RuntimeException</span></a>
<ul>
<li class="circle">nl.naturalis.oaipmh.api.<a href="OaiRuntimeException.html" title="class in nl.naturalis.oaipmh.api"><span class="typeNameLink">OaiRuntimeException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
<section role="region">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">nl.naturalis.oaipmh.api.<a href="OaiRepository.html" title="interface in nl.naturalis.oaipmh.api"><span class="typeNameLink">OaiRepository</span></a>
<ul>
<li class="circle">nl.naturalis.oaipmh.api.<a href="StandAloneRepository.html" title="interface in nl.naturalis.oaipmh.api"><span class="typeNameLink">StandAloneRepository</span></a>&lt;T&gt;</li>
</ul>
</li>
<li class="circle">nl.naturalis.oaipmh.api.<a href="RepositoryGroup.html" title="interface in nl.naturalis.oaipmh.api"><span class="typeNameLink">RepositoryGroup</span></a>&lt;T&gt;</li>
<li class="circle">nl.naturalis.oaipmh.api.<a href="ResumptionTokenGenerator.html" title="interface in nl.naturalis.oaipmh.api"><span class="typeNameLink">ResumptionTokenGenerator</span></a></li>
<li class="circle">nl.naturalis.oaipmh.api.<a href="ResumptionTokenParser.html" title="interface in nl.naturalis.oaipmh.api"><span class="typeNameLink">ResumptionTokenParser</span></a></li>
</ul>
</section>
<section role="region">
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">Object</span></a>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Enum.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">Enum</span></a>&lt;E&gt; (implements java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang" class="externalLink">Comparable</a>&lt;T&gt;, java.io.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/Serializable.html?is-external=true" title="class or interface in java.io" class="externalLink">Serializable</a>)
<ul>
<li class="circle">nl.naturalis.oaipmh.api.<a href="Argument.html" title="enum in nl.naturalis.oaipmh.api"><span class="typeNameLink">Argument</span></a></li>
<li class="circle">nl.naturalis.oaipmh.api.<a href="DatabaseType.html" title="enum in nl.naturalis.oaipmh.api"><span class="typeNameLink">DatabaseType</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
